smsc:
  system:
    display: "System"
    sort: 1
    list:
      - name: "cdrFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "CDR Flag"
        comment: ""
      - name: "smValidity"
        type: "int"
        value: "259200"
        access: "read-write"
        filter: "0-2147483647"
        display: "SM Validity"
        comment: ""
      - name: "logFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Log Flag"
        comment: ""
      - name: "localPollingFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Local Polling Flag"
        comment: "Enable or disable resend pending SMS to unattainable local users."
      - name: "localRoamingOutPollingFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Local Roaming Out Polling Flag"
        comment: "Enable or disable resend pending SMS to unattainable outbound roaming users."
      - name: "visitorRoamingInPollingFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Visitor Roaming In Polling Flag"
        comment: "Enable or disable resend pending SMS to unattainable inbound roaming users."
      - name: "otherPollingFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Other Polling Flag"
        comment: "Enable or disable resend pending SMS to other unattainable users."
      - name: "pollingNumber"
        type: "int"
        value: "64"
        access: "read-write"
        filter: "0-64"
        display: "Polling Number"
        comment: "Define the maximum port number that the queue of pending SMS may grow to."
      - name: "priorityFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Priority Flag"
        comment: "Specify the priority parameter of SM_RP_PRI. true = High; false = Low."
      - name: "tpReplyPathFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "TP Reply Path Flag"
        comment: "Enable or disable TP-Reply-Path parameter in the SMS-DELIVER data unit."
      - name: "smscNumber"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~32"
        display: "SMSC Number"
        comment: ""
      - name: "smscDomain"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: "0~16"
        display: "SMSC Domain"
        comment: ""
      - name: "csfbVolteFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "CSFB VoLTE Flag"
        comment: ""
      - name: "camelFlag"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Camel Flag"
        comment: ""
      - name: "scfAddress"
        type: "string"
        value: "0.0.0.0"
        access: "read-write"
        filter: "0~16"
        display: "SCF Address"
        comment: ""
      - name: "mtIdFormatFlag"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "MT Id Format Flag"
        comment: "If add plus then set false"
      - name: "mcastFlag"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Mcast Flag"
        comment: "enable mcast sms"
      - name: "logLevel"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"none","1":"error","2":"debug"}'
        display: "Log Level"
        comment: ""
      - name: "logSize"
        type: "int"
        value: "200"
        access: "read-write"
        filter: "1-1000"
        display: "Log Size"
        comment: "The MB sizeof log file"
      - name: "logNum"
        type: "int"
        value: "10"
        access: "read-write"
        filter: "1-20"
        display: "Log Number"
        comment: "The number of log file"
      - name: "logDir"
        type: "string"
        value: "/var/log/"
        access: "read-write"
        filter: "0~128"
        display: "Log Directory"
        comment: ""
  msisdnsegment:
    display: "MSISDN Segment List"
    sort: 3
    perms: "put"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "startMSISDN"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~32"
        display: "Start MSISDN"
        comment: ""
      - name: "endMSISDN"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~32"
        display: "End MSISDN"
        comment: ""
  smpplink:
    display: "SMPP Link List"
    sort: 5
    perms: "post,put,delete"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~63"
        display: "Index"
        comment: "0~63"
      - name: "linkAlias"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~32"
        display: "Link Alias"
        comment: ""
      - name: "sessionType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"bindTX","1":"bindRX","2":"bindTRX"}'
        display: "Session Type"
        comment: ""
      - name: "serviceNumber"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~32"
        display: "Service Number"
        comment: ""
      - name: "dataCodingScheme"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"smpp7def7","1":"smpp8dcs4def7","2":"smpp8dcs0def7","16":"smpp7def8","17":"smpp8dcs4def8","18":"smpp8dcs0def8","19":"smpp8dcs0Unpack7","20":"smpp8dcs0ISO8859"}'
        display: "Data Coding Scheme"
        comment: ""
      - name: "platformNum"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"plat0","1":"plat1","2":"ignore"}'
        display: "Platform Num"
        comment: ""
      - name: "timeToLive"
        type: "int"
        value: "604800"
        access: "read-write"
        filter: "0-2147483647"
        display: "Time To Live"
        comment: ""
      - name: "manipulationFlag"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Manipulation Flag"
        comment: ""
      - name: "ton"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"unknown","1":"international","2":"national","3":"networkSpecific","4":"subscriberNumber","5":"alphanumeric","6":"abbreviated"}'
        display: "Type of Number"
        comment: ""
      - name: "npi"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"unknown","1":"isdn","3":"data","4":"telex","6":"landMobile","8":"national","9":"private","10":"ermes","14":"internet","18":"wapClientID"}'
        display: "Number Plan Indicator"
        comment: ""
      - name: "roleType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"server","1":"client"}'
        display: "Role Type"
        comment: ""
  convprefix:
    display: "Conv Prefix List"
    sort: 7
    perms: "post,put,delete"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~127"
        display: "Index"
        comment: "0~127"
      - name: "prefix"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~16"
        display: "Prefix"
        comment: ""
      - name: "deleteLength"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-16"
        display: "Delete Length"
        comment: ""
      - name: "addLength"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-16"
        display: "Add Length"
        comment: ""
      - name: "addDigits"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0~16"
        display: "Add Digits"
        comment: ""
      - name: "numberLength"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-32"
        display: "Number Length"
        comment: ""
  smppparam:
    display: "SMPP Param List"
    sort: 9
    perms: "put"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~31"
        display: "Index"
        comment: "0~31"
      - name: "linkAlias"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-8"
        display: "Link Alias"
        comment: ""
      - name: "linkType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"udp","1":"tcp"}'
        display: "Link Type"
        comment: ""
      - name: "serverType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"client","1":"server"}'
        display: "Server Type"
        comment: ""
      - name: "sessionType"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"bindTX","1":"bindRX","2":"bindTRX"}'
        display: "Session Type"
        comment: ""
      - name: "systemID"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-16"
        display: "System ID"
        comment: ""
      - name: "password"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-8"
        display: "Password"
        comment: ""
      - name: "systemType"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-12"
        display: "System Type"
        comment: ""
      - name: "localGTT"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-16"
        display: "Local GTT"
        comment: ""
      - name: "remoteGTT"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-16"
        display: "Remote GTT"
        comment: ""
      - name: "localIP"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-32"
        display: "Local IP"
        comment: ""
      - name: "remoteIP"
        type: "string"
        value: "0"
        access: "read-write"
        filter: "0-32"
        display: "Remote IP"
        comment: ""
      - name: "sessionInitTimer"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-65535"
        display: "Session Init Timer"
        comment: ""
      - name: "enquireLinkTimer"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-65535"
        display: "Enquire Link Timer"
        comment: ""
      - name: "inactivityTimer"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-65535"
        display: "Inactivity Timer"
        comment: ""
      - name: "responseTimer"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-65535"
        display: "Response Timer"
        comment: ""
      - name: "localSSN"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-255"
        display: "Local SSN"
        comment: ""
      - name: "remoteSSN"
        type: "int"
        value: "0"
        access: "read-write"
        filter: "0-255"
        display: "Remote SSN"
        comment: ""
      - name: "enable"
        type: "bool"
        value: "1"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Enable Flag"
        comment: ""
